--- pd-extended/src/makefile.am	2011-08-19 18:05:01 +0000
+++ ../pd-extended/0.43/pd/src/makefile.am	2011-08-08 16:56:13 +0000
@@ -15,6 +15,7 @@
 pdsend_SOURCES = u_pdsend.c
 pdreceive_SOURCES = u_pdreceive.c
 pd_watchdog_SOURCES = s_watchdog.c
+lib_LTLIBRARIES =
 pd_LDADD = 
 pd_SOURCES = g_canvas.c g_graph.c g_text.c g_rtext.c g_array.c g_template.c \
 	g_io.c g_scalar.c g_traversal.c g_guiconnect.c g_readwrite.c g_editor.c \
@@ -87,7 +88,12 @@
 
 # ASIO needs to go after PORTAUDIO in order for it to link properly
 if ASIO
+# automake hack to force linking with g++
+SUBDIRS = ../asio
+# Dummy C++ source to cause C++ linking.
+nodist_EXTRA_libpd_la_SOURCES = dummy.cxx
 pd_LDADD += ../asio/libasio.la
+pd_LINK = $(CXXLINK)
 endif
 
 if PORTMIDI
@@ -129,9 +135,13 @@
 endif
 
 if WINDOWS
-LIBS += -lwsock32 -lwinmm -lole32
+lib_LTLIBRARIES += libpd.la 
+libpd_la_SOURCES     = $(pd_sources)
+libpd_la_LDFLAGS     = -no-undefined
+LIBS += -lwsock32 -lwinmm -lole32 -lpthreadGC2 -ldl
 pd_CFLAGS +=  -DUSEAPI_MMIO -DPD_INTERNAL
 pd_SOURCES += s_audio_mmio.c s_midi_mmio.c
+pd_LDADD += libpd.la
 bin_SCRIPTS = 
 endif
 
@@ -140,7 +150,7 @@
 pd_CFLAGS += -DWISHAPP='"wish85.exe"' -DMSW #kludge, MSW should be _WIN32
 pdsend_CFLAGS += -DMSW #kludge, should use _WIN32
 pdreceive_CFLAGS += -DMSW #kludge, should use _WIN32
-bin_PROGRAMS += pd-watchdog
+#bin_PROGRAMS += pd-watchdog
 endif
 
 etags: TAGS
